<?php

namespace RecruitCrm\LogicMelon\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Track ServiceType
 * @subpackage Services
 */
class Track extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named TrackAdvert
     * Meta information extracted from the WSDL
     * - documentation: <a name='TrackAdvert'></a><p>Provides a mechanism to search for an advert and getting tracking information on the delivery.</p><p>Optionally specify a sUsername or sStartOrganisation to limit the search to a specific user (sUsername
     * or sUserIdentifier) or specific portion of the tree (sStartOrganisation).</p><ul><li><strong>Destinations</strong> Optionally filter the tracking results by a comma separated list of job board destinations as either numeric id's or string
     * identifiers.</li></ul> | <a name='TrackAdvert'></a><p>Provides a mechanism to search for an advert and getting tracking information on the delivery.</p><p>Optionally specify a sUsername or sStartOrganisation to limit the search to a specific user
     * (sUsername or sUserIdentifier) or specific portion of the tree (sStartOrganisation).</p><ul><li><strong>Destinations</strong> Optionally filter the tracking results by a comma separated list of job board destinations as either numeric id's or string
     * identifiers.</li></ul> | <a name='TrackAdvert'></a><p>Provides a mechanism to search for an advert and getting tracking information on the delivery.</p><p>Optionally specify a sUsername or sStartOrganisation to limit the search to a specific user
     * (sUsername or sUserIdentifier) or specific portion of the tree (sStartOrganisation).</p><ul><li><strong>Destinations</strong> Optionally filter the tracking results by a comma separated list of job board destinations as either numeric id's or string
     * identifiers.</li></ul>
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \RecruitCrm\LogicMelon\StructType\TrackAdvert $parameters
     * @return \RecruitCrm\LogicMelon\StructType\TrackAdvertResponse|bool
     */
    public function TrackAdvert(\RecruitCrm\LogicMelon\StructType\TrackAdvert $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->TrackAdvert($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named TrackAdvertWithFilters
     * Meta information extracted from the WSDL
     * - documentation: <a name='TrackAdvertWithFilters'></a><p>Provides a mechanism to search for an advert and getting tracking information on the delivery. Allows extra search Filters to be included</p><p>Optionally specify a sUsername or
     * sStartOrganisation to limit the search to a specific user (sUsername or sUserIdentifier) or specific portion of the tree (sStartOrganisation).</p><ul><li><strong>Destinations</strong> Optionally filter the tracking results by a list of job board
     * destinations as either numeric id's or string identifiers.</li></ul>
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \RecruitCrm\LogicMelon\StructType\TrackAdvertWithFilters $parameters
     * @return \RecruitCrm\LogicMelon\StructType\TrackAdvertWithFiltersResponse|bool
     */
    public function TrackAdvertWithFilters(\RecruitCrm\LogicMelon\StructType\TrackAdvertWithFilters $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->TrackAdvertWithFilters($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named TrackAdvertWithFiltersPaged
     * Meta information extracted from the WSDL
     * - documentation: <a name='TrackAdvertWithFiltersPaged'></a><p>Paged version of TrackAdvertWithFilters. Provides a mechanism to search for an advert and getting tracking information on the delivery. Allows extra search Filters to be
     * included</p><p>Optionally specify a sUsername or sStartOrganisation to limit the search to a specific user (sUsername or sUserIdentifier) or specific portion of the tree (sStartOrganisation).</p><ul><li><strong>Destinations</strong> Optionally filter
     * the tracking results by a list of job board destinations as either numeric id's or string identifiers.</li></ul>
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \RecruitCrm\LogicMelon\StructType\TrackAdvertWithFiltersPaged $parameters
     * @return \RecruitCrm\LogicMelon\StructType\TrackAdvertWithFiltersPagedResponse|bool
     */
    public function TrackAdvertWithFiltersPaged(\RecruitCrm\LogicMelon\StructType\TrackAdvertWithFiltersPaged $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->TrackAdvertWithFiltersPaged($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \RecruitCrm\LogicMelon\StructType\TrackAdvertResponse|\RecruitCrm\LogicMelon\StructType\TrackAdvertWithFiltersPagedResponse|\RecruitCrm\LogicMelon\StructType\TrackAdvertWithFiltersResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
